import request from '@/api/request'

/**
 * 商品详情页
 * @param source 来源
 * @param goodsId 商品ID
 */
export const apiGoodsDetail = (source, goodsId) => request({
  method: 'GET',
  url: '/api/buy/goods/detail',
  params: {
    source: source,
    goods_id: goodsId
  },
  showLoading: true
})
