import request from '@/api/request'

/**
 * 获取电商平台分类
 */
export const apiCateList = (source) => request({
  method: 'GET',
  url: '/api/buy/cate/list',
  params: {
    source: source
  }
})

/**
 * 获取商品列表
 * @param obj
 */
export const apiGoodsList = (obj) => request({
  method: 'POST',
  url: '/api/buy/goods/list',
  data: obj
})
